classification
Title: Remove unnecessary semicolons in tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, corona10, iritkatriel, miss-islington, scop
Priority: normal Keywords: easy, patch

Created on 2016-10-09 11:49 by scop, last changed 2021-06-23 10:03 by corona10. This issue is now closed.

Files
File name Uploaded Description Edit
semicolons.patch scop, 2016-10-09 11:49 review
Pull Requests
URL Status Linked Edit
PR 26868 merged corona10, 2021-06-23 06:15
PR 26870 merged miss-islington, 2021-06-23 09:01
PR 26871 merged miss-islington, 2021-06-23 09:01
Messages (5)
msg278404 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-10-10 06:49
Thanks scop. 

The patch looks good to me, and it can be applied cleanly to 3.5, 3.6, and default branches.

I did find more occurrences of unnecessary semicolons, for example (not a complete list)
https://github.com/python/cpython/blob/master/Lib/smtpd.py#L569
https://github.com/python/cpython/blob/master/Lib/smtpd.py#L611
https://github.com/python/cpython/blob/master/Lib/test/test_itertools.py#L120
https://github.com/python/cpython/blob/master/Lib/test/test_pyexpat.py#L572

Not sure if it's really worth trying to fix all of them?
Thanks :)
msg396364 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-06-22 21:25
The patch needs to be converted to a github PR.
msg396392 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2021-06-23 09:01
New changeset 5a3108044d2e5b694da2d1f4176c9bbaef15c142 by Dong-hee Na in branch 'main':
bpo-28395: Remove unnecessary semicolons in tests (GH-26868)
https://github.com/python/cpython/commit/5a3108044d2e5b694da2d1f4176c9bbaef15c142
msg396400 - (view) Author: miss-islington (miss-islington) Date: 2021-06-23 10:02
New changeset 280425d41797f9c0b20fb02a22341937a13a8987 by Miss Islington (bot) in branch '3.10':
bpo-28395: Remove unnecessary semicolons in tests (GH-26868)
https://github.com/python/cpython/commit/280425d41797f9c0b20fb02a22341937a13a8987
msg396401 - (view) Author: miss-islington (miss-islington) Date: 2021-06-23 10:03
New changeset fcde2c6a8c99a56576b25733d5cc60bce6d51f46 by Miss Islington (bot) in branch '3.9':
bpo-28395: Remove unnecessary semicolons in tests (GH-26868)
https://github.com/python/cpython/commit/fcde2c6a8c99a56576b25733d5cc60bce6d51f46
History
Date User Action Args
2021-06-23 10:03:16corona10setstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-06-23 10:03:03miss-islingtonsetmessages: + msg396401
2021-06-23 10:02:44miss-islingtonsetmessages: + msg396400
2021-06-23 09:01:32miss-islingtonsetpull_requests: + pull_request25446
2021-06-23 09:01:26miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request25445
2021-06-23 09:01:10corona10setmessages: + msg396392
2021-06-23 06:15:19corona10setnosy: + corona10

pull_requests: + pull_request25443
stage: patch review
2021-06-22 21:25:38iritkatrielsetnosy: + iritkatriel
versions: + Python 3.9, Python 3.10, Python 3.11
messages: + msg396364

keywords: + easy
title: Remove unnecessary semicolons -> Remove unnecessary semicolons in tests
2016-10-10 06:49:37Mariattasetnosy: + Mariatta
messages: + msg278404
2016-10-09 11:49:02scopcreate